import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Path;
import java.nio.file.Paths;
import java.nio.file.StandardOpenOption;

public class Main {
    public static final int N = 10;

    public static void main(String[] args) throws IOException {
        Path rootDir = Paths.get("");

        /*Создаем временный файл*/
        Path file = Files.createTempFile(rootDir, "tmp", ".txt");
        System.out.println("Файл " + file + " создан");

        /*Запишем в созданный файл 10 строк*/
        System.out.println("\nЗапись строк в файл " + file);
        for (int i = 0; i < N; i++) {
            String testString = "test string " + i + "\n";
            System.out.println("\tСтрока " + testString.trim() + " записана");
            /*
 Без параметра StandardOpenOption.APPEND функция write будет полностью перезаписывать
 файл и в результате после выполнения цикла будет записана только последняя строка.
 Поэтому мы используем параметр StandardOpenOption.APPEND для того чтобы записались
 все строки.
            */
            Files.write(file, testString.getBytes(), StandardOpenOption.APPEND);
        }

        /*Читаем все строки из файла и выводим их на экран*/
        System.out.println("\nЧтение строк из файла " + file);
        for (String line : Files.readAllLines(file)) {
            System.out.println("\tПрочитана строка: " + line);
        }

        /*Удаляем созданный файл*/
        Files.deleteIfExists(file);
        System.out.println("\nФайл " + file + " удален");
    }
}
